#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.57
visibility:           public
id:                   brick-0.57-9a4tsWJd32q3FRyuHNpj0b
key:                  brick-0.57-9a4tsWJd32q3FRyuHNpj0b
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2018
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  c175a1eb332ed108b08b2f71060d4274
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Data.IMap Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.2/site-local/brick-0.57
library-dirs:         /usr/lib/ghc-8.10.2/site-local/brick-0.57
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/brick-0.57
hs-libraries:         HSbrick-0.57-9a4tsWJd32q3FRyuHNpj0b
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    config-ini-0.2.4.0-FcK97oofg6T2x1Hv5YPnV4 containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    data-clist-0.1.2.3-G4cR5M1PdoV6ViUVS2lc7B deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-7DRBYe2fcAcDHXBLqD5Deq
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-mtl-0.2.0.1-9oi5AGxgvu6872DSJa0Xzd
    microlens-th-0.4.3.6-M0D4zBEXIjEa75KR5Tb4o stm-2.5.0.0
    template-haskell-2.16.0.0 text-1.2.3.2
    text-zipper-0.10.1-B3bHb53jHWu1EMYh1k7Fsc transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.1.2-2m8MnQowu1eAEJcsrPdtQL
    vty-5.32-LqMr4GCU7sGA3oxivHCQMB
    word-wrap-0.4.1-JMi0A7vxH4ECxElWgwN40S

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

